Bug 221619 - mail/postfix: Add option for EAI
Summary: mail/postfix: Add option for EAI
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olli Hauer
URL: https://reviews.freebsd.org/D10475
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-08-19 03:12 UTC by Kubilay Kocak
Modified: 2018-02-04 07:17 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ohauer)
ohauer: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2017-08-19 03:12:06 UTC
The Postfix SMTPUTF8 README [1] makes reference to EAI support being enabled
if ICU is installed on the system, implying (granted, implicitly) that EAI is a
non-compulsory feature. 

Further, there appears no explicitly recommendations, warnings or notices that
EAI should or must not be disabled, is otherwise unsupported in that
configuration, and the README additionally provides instructions on how to
explicitly disable EAI support, consistent with the ability to enable/disable
other non-compulsory features:

  To force Postfix to build without SMTPUTF8, specify:
    $ make makefiles CCARGS="-DNO_EAI ..."

Accordingly:

- Add an OPTION (EAI) to enable/disable the functionality and it's associated
  dependency, leaving it ENABLED by default for package users.

[1] http://www.postfix.org/SMTPUTF8_README.html
Comment 1 commit-hook freebsd_committer 2018-01-30 20:13:39 UTC
A commit references this bug:

Author: ohauer
Date: Tue Jan 30 20:13:19 UTC 2018
New revision: 460435
URL: https://svnweb.freebsd.org/changeset/ports/460435

Log:
  - update to 3.2.5
  - license is now dual (see Changelog 20180127)
  - make EAI optional but on by default [1]

  Changelog:
  20171116
    Bugfix (introduced: Postfix 2.1): don't log warnings
    that some restriction returns OK, when the access map
    DISCARD feature is in effect. File: smtpd/smtpd_check.c.

  20171215
    Bugfix (introduced: 20170611): the DB_CONFIG bugfix broke
    Berkeley DB configurations with a relative pathname.  File:
    util/dict_db.c.

  20171218
    Workaround: reportedly, some res_query(3) implementation
    can return -1 with h_errno==0. Instead of terminating with
    a panic, the Postfix DNS client now logs a warning and sets
    h_errno to TRY_AGAIN. File: dns/dns_lookup.c.

  20171226
    Documentation patches by Sven Neuhaus. Files:
    proto/FORWARD_SECRECY_README.html, proto/MILTER_README.html,
    proto/SMTPD_ACCESS_README.html.

  20180106
    Cleanup: missing mailbox seek-to-end error check in the
    local(8) delivery agent. File: local/mailbox.c.

    Cleanup: incorrect mailbox seek-to-end error message in the
    virtual(8) delivery agent. File: virtual/mailbox.c.

  20180127
    Licence: in addition to the historical IBM Public License
    1.0, this software is now also distributed with the more
    recent Eclipse Public License 2.0. Recipients can choose
    to take the software under the license of their choice.
    Those who are more comfortable with the IPL can continue
    with that license. File: LICENSE.

  PR:		ports/221619 [1]
  Submitted by:	Kubilay Kocak (koobs@)
  MFH:		2018Q1

Changes:
  head/mail/postfix/Makefile
  head/mail/postfix/distinfo
Comment 2 Olli Hauer freebsd_committer 2018-01-30 20:21:46 UTC
Committed,
Thanks!
Comment 3 commit-hook freebsd_committer 2018-02-01 20:26:40 UTC
A commit references this bug:

Author: ohauer
Date: Thu Feb  1 20:26:03 UTC 2018
New revision: 460628
URL: https://svnweb.freebsd.org/changeset/ports/460628

Log:
  MFH: r460435 r460438

  - update to 3.2.5
  - license is now dual (see Changelog 20180127)
  - make EAI optional but on by default [1]

  Changelog:
  20171116
    Bugfix (introduced: Postfix 2.1): don't log warnings
    that some restriction returns OK, when the access map
    DISCARD feature is in effect. File: smtpd/smtpd_check.c.

  20171215
    Bugfix (introduced: 20170611): the DB_CONFIG bugfix broke
    Berkeley DB configurations with a relative pathname.  File:
    util/dict_db.c.

  20171218
    Workaround: reportedly, some res_query(3) implementation
    can return -1 with h_errno==0. Instead of terminating with
    a panic, the Postfix DNS client now logs a warning and sets
    h_errno to TRY_AGAIN. File: dns/dns_lookup.c.

  20171226
    Documentation patches by Sven Neuhaus. Files:
    proto/FORWARD_SECRECY_README.html, proto/MILTER_README.html,
    proto/SMTPD_ACCESS_README.html.

  20180106
    Cleanup: missing mailbox seek-to-end error check in the
    local(8) delivery agent. File: local/mailbox.c.

    Cleanup: incorrect mailbox seek-to-end error message in the
    virtual(8) delivery agent. File: virtual/mailbox.c.

  20180127
    Licence: in addition to the historical IBM Public License
    1.0, this software is now also distributed with the more
    recent Eclipse Public License 2.0. Recipients can choose
    to take the software under the license of their choice.
    Those who are more comfortable with the IPL can continue
    with that license. File: LICENSE.

  - fix licence error after last commit

  Reported by:	Yasuhiro KIMURA

  PR:		ports/221619 [1]
  Submitted by:	Kubilay Kocak (koobs@)

  Approved by:	ports-secteam (swills@)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/mail/postfix/Makefile
  branches/2018Q1/mail/postfix/distinfo
Comment 4 commit-hook freebsd_committer 2018-02-04 07:17:08 UTC
A commit references this bug:

Author: ohauer
Date: Sun Feb  4 07:16:54 UTC 2018
New revision: 460870
URL: https://svnweb.freebsd.org/changeset/ports/460870

Log:
  - update to 3.4.20180203
  - license is now dual (see Changelog 20180203)
  - make EAI optional but on by default [1]

  20180128
    Documentation: the tcp_table(5) manpage now documents the
    absence of substring lookups. File: proto/tcp_table.

  20180203
    Licence: in addition to the historical IBM Public License
    1.0, this software is now also distributed with the more
    recent Eclipse Public License 2.0. Recipients can choose
    to take the software under the license of their choice.
    Those who are more comfortable with the IPL can continue
    with that license. File: LICENSE.

  PR:             ports/221619 [1]
  Submitted by:   Kubilay Kocak (koobs@)

Changes:
  head/mail/postfix-current/Makefile
  head/mail/postfix-current/distinfo